package models

import "github.com/beego/beego/v2/client/orm"

type UserTemplateRecord struct {
	Id         int `orm:"column(id);pk"`
	UserId     int
	OpenId     string
	Resource   string
	SendData   string
	Result     string
	CreateDate string
	CreateTime string
	SendStatus int
	SendType   int
}

// 添加
func AddUserTemplateRecord(item *UserTemplateRecord) (err error) {
	o := orm.NewOrmUsingDB("weekly_report")
	_, err = o.Insert(item)
	return
}
